using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Average_Race_Times
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void calculateButton_Click(object sender, EventArgs e)
        {
            double runner1;     // Czas uzyskany przez zawodnika nr 1.
            double runner2;     // Czas uzyskany przez zawodnika nr 2.
            double runner3;     // Czas uzyskany przez zawodnika nr 3.
            double average;     // Średni czas okrążenia.

            // Pobranie wartości wprowadzonych przez użytkownika.
            runner1 = double.Parse(runner1TextBox.Text);
            runner2 = double.Parse(runner2TextBox.Text);
            runner3 = double.Parse(runner3TextBox.Text);

            // Obliczenie średniego czasu okrążenia (czy dostrzegasz błąd?).
            average = (runner1 + runner2 + runner3) / 3.0;

            // Wyświetlenie średniego czasu okrążenia.
            averageTimeLabel.Text = average.ToString("n1");
        }

        private void clearButton_Click(object sender, EventArgs e)
        {
            // Usunięcie zawartości kontrolek TextBox.
            runner1TextBox.Text = "";
            runner2TextBox.Text = "";
            runner3TextBox.Text = "";

            // Usunięcie zawartości kontrolki Label.
            averageTimeLabel.Text = "";

            // Aktywowanie kontrolki runner1TextBox.
            runner1TextBox.Focus();
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza.
            this.Close();
        }
    }
}
